package com.bailuntec;

import com.bailuntec.domain.entity.JobPointLog;
import com.bailuntec.job.CashWithdrawDetail;
import com.bailuntec.job.CashierJob;
import org.junit.jupiter.api.Test;

import java.time.LocalDateTime;

public class CashierTest {
    @Test
    public void test() {
        CashierJob crmRefundSyncJob = new CashierJob();
        crmRefundSyncJob.executeJob(null, new JobPointLog("base-purchase-details", 1,110,0,1,
                LocalDateTime.of(2019,8,01,0,0),
                LocalDateTime.of(2019,8,02,0,0)));
    }

    @Test
    public void test1() {
        CashWithdrawDetail cashWithdrawDetail = new CashWithdrawDetail();
        cashWithdrawDetail.executeJob(null, new JobPointLog("base-withdraw-details", 1,100,0,1,
                LocalDateTime.of(2019,10,01,0,0),
                LocalDateTime.of(2019,10,05,0,0)));
    }

}
